Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.metadata
Class WindowMetaData

    java.lang.Object
      org.jboss.portal.core.model.portal.metadata.PortalObjectMetaData
          org.jboss.portal.core.model.portal.metadata.WindowMetaData

    public class WindowMetaData

extends PortalObjectMetaData

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected ContentMetaData` | `content` The window content.
`protected ContentType` | `contentType` .
`protected java.lang.String` | `initialMode` The initial window state.
`protected java.lang.String` | `initialWindowState` The initial window state.
`protected int` | `order` The window order.
`protected java.lang.String` | `region` The window region.

Constructor Summary
`WindowMetaData()`

Method Summary
`static WindowMetaData` | `buildPortletWindowMetaData(ContentProviderRegistry contentProviderRegistry, org.w3c.dom.Element windowElt)`
`ContentMetaData` | `getContent()`
`ContentType` | `getContentType()`
`java.lang.String` | `getInitialMode()`
`java.lang.String` | `getInitialWindowState()`
`int` | `getOrder()`
`java.lang.String` | `getRegion()`
`protected PortalObject` | `newInstance(BuildContext buildContext, PortalObject parent)`
`void` | `setContent(ContentMetaData content)`
`void` | `setContentType(ContentType contentType)`
`void` | `setInitialMode(java.lang.String initialMode)`
`void` | `setInitialWindowState(java.lang.String initialWindowState)`
`void` | `setOrder(int order)`
`void` | `setRegion(java.lang.String region)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.portal.core.model.portal.metadata.PortalObjectMetaData
`buildDisplayNameMetaData, buildListenerMetaData, buildMetaData, buildPropertiesMetaData, buildResourceBundleMetaData, buildSupportedLocalesMetaData, create, getChildren, getDisplayName, getListener, getName, getProperties, getResourceBundle, getSecurityConstraints, getSupportedLocales, setChildren, setDisplayName, setListener, setName, setProperties, setResourceBundle, setSecurityConstraints, setSupportedLocales`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### region

    protected java.lang.String region

  The window region.

### order

    protected int order

  The window order.

### initialWindowState

    protected java.lang.String initialWindowState

  The initial window state.

### initialMode

    protected java.lang.String initialMode

  The initial window state.

### content

    protected ContentMetaData content

  The window content.

### contentType

    protected ContentType contentType

  .

Constructor Detail

### WindowMetaData

    public WindowMetaData()

Method Detail

### getRegion

    public java.lang.String getRegion()

### setRegion

    public void setRegion(java.lang.String region)

### getOrder

    public int getOrder()

### setOrder

    public void setOrder(int order)

### getContent

    public ContentMetaData getContent()

### setContent

    public void setContent(ContentMetaData content)

### getContentType

    public ContentType getContentType()

### setContentType

    public void setContentType(ContentType contentType)

### getInitialWindowState

    public java.lang.String getInitialWindowState()

### setInitialWindowState

    public void setInitialWindowState(java.lang.String initialWindowState)

### getInitialMode

    public java.lang.String getInitialMode()

### setInitialMode

    public void setInitialMode(java.lang.String initialMode)

### newInstance

    protected PortalObject newInstance(BuildContext buildContext,
                                       PortalObject parent)
                                throws java.lang.Exception

  Specified by:
    `newInstance` in class `PortalObjectMetaData`
  Throws:
    `java.lang.Exception`

### buildPortletWindowMetaData

    public static WindowMetaData buildPortletWindowMetaData(ContentProviderRegistry contentProviderRegistry,
                                                            org.w3c.dom.Element windowElt)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PortalObjectMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD